Browse Source

Merge branch 'master' of https://git.espritslibres.fr/sloteur/mint

arllinux 4 months ago
parent
commit
dfa67af167
60 changed files with 1233 additions and 0 deletions
  1. 59 0
      Grub-Theme/README.md
  2. 169 0
      Grub-Theme/install.sh
  3. BIN
      Grub-Theme2/DejaVuSans-20.pf2
  4. 68 0
      Grub-Theme2/GetProfileImage.sh
  5. BIN
      Grub-Theme2/GetProfileImage.sh.x
  6. 122 0
      Grub-Theme2/LICENSE.md
  7. 141 0
      Grub-Theme2/README.md
  8. 5 0
      Grub-Theme2/SteamUserInfo.xml
  9. BIN
      Grub-Theme2/UserName.png
  10. 104 0
      Grub-Theme2/ancien/README.md
  11. 182 0
      Grub-Theme2/ancien/install_old
  12. BIN
      Grub-Theme2/avatarBorder.png
  13. BIN
      Grub-Theme2/background.png
  14. BIN
      Grub-Theme2/btnEnter.png
  15. BIN
      Grub-Theme2/btnNav.png
  16. BIN
      Grub-Theme2/icons/Arch.png
  17. BIN
      Grub-Theme2/icons/Fedora.png
  18. BIN
      Grub-Theme2/icons/arch.png
  19. BIN
      Grub-Theme2/icons/debian.png
  20. BIN
      Grub-Theme2/icons/fedora.png
  21. BIN
      Grub-Theme2/icons/fuduntu.png
  22. BIN
      Grub-Theme2/icons/gentoo.png
  23. BIN
      Grub-Theme2/icons/kubuntu.png
  24. BIN
      Grub-Theme2/icons/linuxmint.png
  25. BIN
      Grub-Theme2/icons/opensuse.png
  26. BIN
      Grub-Theme2/icons/sabayon.png
  27. BIN
      Grub-Theme2/icons/steamos.png
  28. BIN
      Grub-Theme2/icons/submenu.png
  29. BIN
      Grub-Theme2/icons/ubuntu.png
  30. BIN
      Grub-Theme2/icons/windows.png
  31. 215 0
      Grub-Theme2/install.sh
  32. BIN
      Grub-Theme2/menu_bkg_c.png
  33. BIN
      Grub-Theme2/menu_bkg_e.png
  34. BIN
      Grub-Theme2/menu_bkg_n.png
  35. BIN
      Grub-Theme2/menu_bkg_ne.png
  36. BIN
      Grub-Theme2/menu_bkg_nw.png
  37. BIN
      Grub-Theme2/menu_bkg_s.png
  38. BIN
      Grub-Theme2/menu_bkg_se.png
  39. BIN
      Grub-Theme2/menu_bkg_sw.png
  40. BIN
      Grub-Theme2/menu_bkg_w.png
  41. BIN
      Grub-Theme2/progress_bar_c.png
  42. BIN
      Grub-Theme2/progress_bar_e.png
  43. BIN
      Grub-Theme2/progress_bar_w.png
  44. BIN
      Grub-Theme2/progress_highlight_c.png
  45. BIN
      Grub-Theme2/select_bkg_c.png
  46. BIN
      Grub-Theme2/select_bkg_e.png
  47. BIN
      Grub-Theme2/select_bkg_w.png
  48. BIN
      Grub-Theme2/term_bkg_c.png
  49. BIN
      Grub-Theme2/term_bkg_e.png
  50. BIN
      Grub-Theme2/term_bkg_n.png
  51. BIN
      Grub-Theme2/term_bkg_ne.png
  52. BIN
      Grub-Theme2/term_bkg_nw.png
  53. BIN
      Grub-Theme2/term_bkg_s.png
  54. BIN
      Grub-Theme2/term_bkg_se.png
  55. BIN
      Grub-Theme2/term_bkg_sw.png
  56. BIN
      Grub-Theme2/term_bkg_w.png
  57. 80 0
      Grub-Theme2/theme.txt
  58. 80 0
      Grub-Theme2/themetemplate.txt
  59. BIN
      Grub-Theme2/title.png
  60. 8 0
      README.txt

+ 59 - 0
Grub-Theme/README.md

@@ -1,3 +1,4 @@
+<<<<<<< HEAD
 # Thème Grub
 
 ### Anciens Screenshots
@@ -5,17 +6,31 @@
 ![ScreenShot](http://i.imgur.com/yQCOjnR.png)
 
 Pour les premières étapes, nous allons devoir déterminer quelles résolutions sont supportées par grub, vous pouvez les trouver en installant `hwinfo`, et en lançant :
+=======
+# Grub theme
+
+### Ancienne capture d'écran
+
+![ScreenShot](http://i.imgur.com/yQCOjnR.png)
+
+Ok, alors pour les premières étapes, vous allez vouloir déterminer quelles résolutions sont supportées par grub, vous pouvez le trouver en installant `hwinfo`, et en lançant :
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 ```
 hwinfo --framebuffer
 ```
 
+<<<<<<< HEAD
 Ou en redémarrant et dans le menu grub, ouvrez la ligne de commande avec 'c', et entrez
+=======
+Ou en redémarrant et dans le menu grub, ouvrez la ligne de commande avec 'C', et entrez
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 ```
 vbeinfo
 ```
 
+<<<<<<< HEAD
 Les sorties peuvent être différentes. Donc, une fois que vous avez trouvé les résolutions prises en charge, notez celle qui correspond à votre résolution la plus élevée (ou peut-être celle en dessous).
 Maintenant, pour l’installer exécutez la commande suivante pour récupérer l'ensemble du dépot git :
 
@@ -30,21 +45,37 @@ puis
 ```
 
 git clone https://git.espritslibres.fr/sloteur/mint
+=======
+Les sorties peuvent être différentes. Donc, une fois que vous avez trouvé vos résolutions prises en charge, notez celle qui correspond à votre résolution prise en charge la plus élevée (ou à la suivante en dessous). Maintenant, pour l’installer exécutez la commande suivante pour récupérer l'ensemble du dépot git :
+
+```
+sudo apt install git
+puis
+git clone https://github.com/arllinux/mint
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 ```
 
 Entrez dans le répertoire :
 
 ```
+<<<<<<< HEAD
 
 cd mint/Grub-Theme
+=======
+cd Grub-Theme
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 ```
 
 
 ### Exigences :
 
+<<<<<<< HEAD
 Vous aurez besoin d'installer le paquet mscorefonts et le paquet imagemagick. Sur Ubuntu, ou Linux Mint la commande est :
+=======
+Vous aurez besoin d'installer le paquet mscorefonts et le paquet imagemagick. Sur Ubuntu, la commande est :
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 ```
 sudo apt install ttf-mscorefonts-installer imagemagick
@@ -59,12 +90,18 @@ sudo ./install.sh
 
 Il suffit de répondre aux quelques questions qui ont été traduites en français par le sloteur fou...
 
+<<<<<<< HEAD
 
 ### Problèmes connus :
 Ces options ne sont pas indispensables pour faire fonctionner ce programme. Elles sont juste là à titre d'information :
 Ce sont les notes originales du créateur du projet.
 
 L’image `UserName.png` doit être convertie en RVB dans Gimp après l’installation. L'image que vous devez éditer sera située dans `/boot/grub/themes/SteamBP` dans Ubuntu. D'autres distributions placent ce répertoire ailleurs. J'essaie de comprendre pourquoi ImageMagick le garde en niveaux de gris.
+=======
+### Problèmes connus :
+
+L’image `UserName.png` doit être convertie en RVB dans Gimp après l’installation. L'image que vous devez éditer sera située dans `/ boot / grub / themes / SteamBP` dans Ubuntu. D'autres distributions placent ce répertoire ailleurs. J'essaie de comprendre pourquoi ImageMagick le garde en niveaux de gris.
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 ### FAQ:
 
 1.  **Pourquoi ne faites-vous pas des versions grand écran ? **
@@ -73,9 +110,15 @@ L’image `UserName.png` doit être convertie en RVB dans Gimp après l’instal
 
 2.  **Comment puis-je le désactiver ?**
 
+<<<<<<< HEAD
     Ouvrez `/etc/default/grub` en root dans votre éditeur de texte de votre choix et trouvez la ligne «GRUB_THEME=/some/directory », puis commentez-la (mettez un« # »au début de la ligne) ou effacez-le, puis enregistrez-le.
 
      Ensuite, faites une commande `update-grub en root (probablement Ubuntu uniquement) ou exécutez le script ` mkconfig` de grub en root (présent dans `/grub`,` /boot/grub` ou `/boot/grub2`)
+=======
+    Ouvrez `/ etc /default/grub` en root dans votre éditeur de texte de votre choix et trouvez la ligne« GRUB_THEME = / some / directory », puis commentez-la (mettez un« # »au début de la ligne) ou effacez-le, puis enregistrez-le.
+
+     Ensuite, faites une commande `update-grub` avec root (probablement Ubuntu uniquement) ou exécutez le script` mkconfig` de grub avec root (présent dans `/grub`,` /boot/grub` ou `/boot/grub2`)
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
      Vous pouvez aussi lancer
 
@@ -86,7 +129,11 @@ L’image `UserName.png` doit être convertie en RVB dans Gimp après l’instal
 
 3.  **Puis-je ajouter l'icone de ma distribution ?**
 
+<<<<<<< HEAD
     Oui. Je serais ravi de le faire, mais il faudrait que vous sachiez comment nommer l'icône, ce que vous pouvez trouver en ouvrant votre fichier `grub.cfg` et en localisant l'entrée du menu de votre distribution, ' ll y aura une ligne comme '
+=======
+    Oui. Je serais ravi de le faire, mais il faudrait que vous sachiez comment nommer l'icône, ce que vous pouvez trouver en ouvrant votre fichier `grub.cfg` et en localisant l'entrée du menu de votre distribution, pour que vous ' ll y aura une ligne comme
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
         menuentry "Gentoo" --class gentoo --class os...
 
@@ -95,9 +142,13 @@ L’image `UserName.png` doit être convertie en RVB dans Gimp après l’instal
 4.  **Fontionne-t-il avex grub 1 legacy**
 
     Malheureusement grub 1 ne supporte pas les images
+<<<<<<< HEAD
     
     
 ### Liste à faire du projet original (non traduit) :
+=======
+
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 ### Steam Big Picture Grub Theme TODO list
 
 - ~~Move Progress bar to above buttons, but centered. Remove border and glow, but give grey background. Gradient on fill as well.~~
@@ -112,11 +163,19 @@ L’image `UserName.png` doit être convertie en RVB dans Gimp après l’instal
 
 - ~~Add bokeh dots to background~~
 
+<<<<<<< HEAD
 #### Une chose encore :
 
 Vous avez peut-être remarqué les fichiers GetProfileImage.sh.x et GetProfileImage.sh. Celui avec l'extension .x est juste le fichier .sh "compilé" avec shc. La seule différence entre ces fichiers est que le fichier .x contient une clé API.
 
 ### Screenshots:
+=======
+#### Une dernière chose
+
+Vous avez peut-être remarqué les fichiers GetProfileImage.sh.x et GetProfileImage.sh. Celui avec l'extension .x est juste le fichier .sh "compilé" avec shc. La seule différence entre ces fichiers est que le fichier .x contient une clé API.
+
+### Captures d'écran:
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 
 **Ancienne version**
 ![ScreenShot](http://i.imgur.com/T4pbHXT.png)

+ 169 - 0
Grub-Theme/install.sh

@@ -1,11 +1,14 @@
 #! /bin/bash
 set -e
 
+<<<<<<< HEAD
 # This is original part
 # Source code is here : 
 # https://github.com/LegendaryBibo/Steam-Big-Picture-Grub-Theme
 # ======================
 #
+=======
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 # This script installs the GRUB2 theme in /boot/grub/themes/, /boot/grub2/themes/ or /grub/themes/
 # depending on the distribution.
 #
@@ -21,6 +24,7 @@ set -e
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details at <http://www.gnu.org/licenses/>.
+<<<<<<< HEAD
 # ======================
 
 
@@ -66,43 +70,81 @@ Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"
 # Ne pas changer cette ligne
 let Grub_Min_Version=198
 
+=======
+
+# Set variables
+Theme_Name="SteamBP"			# The theme will be installed in a dir with this name. Avoid spaces.
+Theme_Definition_File="theme.txt"	# Filename of theme definition file.
+Theme_Resolution="any"			# The resolution the theme was designed to show best at, 640x480, 1024x768 etc,
+					# or "any" for any resolution (resolution independent).
+
+Inst_Dir=$(dirname $0)
+Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"	# Directories must be in this order.
+let Grub_Min_Version=198	# Do not change this.
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 Grub_File="/etc/default/grub"
 Grub_Dir=
 mkConfig_File=
 
+<<<<<<< HEAD
 #------------------------
 
 # Vérifier que le script est bien lancé en root.
 if [[ $(id -u) != 0 ]]; then
+=======
+# Check that the script is being run as root.
+if [[ $(id -u) != 0 ]]; then
+	# echo "Please run this script with root privileges."
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 	echo "S'il vous plait, lancez ce script avec des privilèges root."
 	exit 0
 fi
 
+<<<<<<< HEAD
 # Récupérer le répertoire d'installation de GRUB
+=======
+# Get GRUB's installation directory.
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 for i in $Grub_Dist_Dirs; do
 	if [[ -d $i ]]; then
 		Grub_Dir=$i
 	fi
 done
 
+<<<<<<< HEAD
 # Quitte le script si le répertoire de GRUB n'est pas trouvé.
 if [[ -z $Grub_Dir ]]; then
+=======
+# Exit this script if we could not locate GRUB's installation directory.
+if [[ -z $Grub_Dir ]]; then
+	# echo "Could not locate GRUB's installation directory."
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 	echo "Le répertoire d'installation de GRUB n'est pas présent."
 	exit 0
 fi
 
+<<<<<<< HEAD
 # Quitte le script si la version de GRUB < 1.98
+=======
+# Exit the script if GRUB's version is < 1.98
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 if [[ -f $(which grub2-install) ]]; then
 	Grub_Version_Long=$(grub2-install --version)
 elif [[ -f $(which grub-install) ]]; then
 	Grub_Version_Long=$(grub-install --version)
 else
+<<<<<<< HEAD
 	echo "grub-install ou grub2 install ne sont pas présents dans votre path."
 	echo "Le path est le chemin d'accès d'un fichier"
+=======
+	# echo 'Could not locate grub-install or grub2-install in your path.'
+	echo 'grub-install ou grub2 install ne sont pas présents dans votre path.'
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 	exit 0
 fi
 Grub_Version=$(echo $Grub_Version_Long | sed 's,[[:alpha:][:punct:][:blank:]],,g')
 if (( ${Grub_Version:0:3} < Grub_Min_Version )); then
+<<<<<<< HEAD
 	echo "GRUB doit être dans sa dernière version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
 	echo "La version installée est ${Grub_Version:0:1}.${Grub_Version:1:2}."
 	echo "Mettez Grub à jour et relancez le script" 
@@ -111,10 +153,23 @@ fi
 
 # Vérifie si /etc/default/grub exists.
 if [[ ! -f $Grub_File ]]; then
+=======
+	# echo "GRUB must be at least version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	echo "GRUB doit être dans sa dernière version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	# echo "The installed version is ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	echo "La version installée est ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	exit 0
+fi
+
+# Check that /etc/default/grub exists.
+if [[ ! -f $Grub_File ]]; then
+	# echo "Could not find $Grub_File"
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 	echo "$Grub_File n'est pas présent."
 	exit 0
 fi
 
+<<<<<<< HEAD
 # Vérifie si le programme mkconfig existe.
 mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
 (echo "La commande mkconfig de configation de Grub n'est pas présent dans vote path." && exit 0)
@@ -153,6 +208,76 @@ while [[ -d $Theme_Dir ]]; do
 			read Response
 			case $Response in
 				o|oui)
+=======
+# Check that GRUB's mkconfig script file exists.
+mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
+# (echo "GRUB's mkconfig script file was not found in your path." && exit 0)
+(echo "Le script mkconfig de Grub n'est pas présent dans vote path." && exit 0)
+
+# Ask for desired resolution if set to "any"
+if [[ $Theme_Resolution = "any" ]]; then
+#	echo ""
+#	echo "Enter desired resolution in the form of 1024x768, 800x600, 1600x1200, etc."
+#	echo "Also, only choose a resolution that is supported by your VESA BIOS Extensions"
+#	echo "which can be found by installing the hwinfo package, and running hwinfo --framebuffer,"
+#	echo "or by running vbeinfo at grub's command line. The outputs may vary. You may try a"
+#	echo "custom resolution such as 1920x1080, but there's no guarantee it will work."
+#	echo ""
+#	echo -n "Enter desired resolution: "
+	echo "============================================================================================"
+	echo "Entrez la résolution désirée sous la forme : 1024x768, 800x600, 1600x1200, etc."
+	echo "Choisissez seulement une résolution supportée par votre Bios VESA"
+	echo "qui peut être trouvé en installant le paquet hwinfo et en exécutant hwinfo --framebuffer"
+	echo "ou en lançant vbeinfo dans la ligne de commande de Grub."
+	echo "Les sorties sont variables. Vous pouvez essayer une résolution personnalisé comme 1920x1080,"
+	echo "mais il n'y a pas de garantie que celle-ci fonctionne."
+	echo "============================================================================================"
+	echo -n "Entrez la résolution que vous désirez : "
+	read Theme_Resolution
+fi
+
+#Ask user if they want to display their Steam username and profile image
+if [[ -a "GetProfileImage.sh.x" ]]; then
+	echo ""
+	# echo "Would you like to display your Steam profile picture and"
+  echo "Je te conseille de répondre "n" à la question suivante (JP)"	
+	echo "Voulez-vous afficher votre image de profil Steam et"
+	# echo "username on grub?"
+	echo "votre nom d'utilisateur dans grub ? [y]es - [n]o"
+	read Response
+	
+	if [[ $Response = yes || $Response = y ]]; then
+		cat themetemplate.txt > theme.txt
+		chmod +x GetProfileImage.sh.x		
+		./GetProfileImage.sh.x
+	else
+		cat themetemplate.txt > theme.txt
+	fi
+fi
+
+
+# Create theme directory.  If directory already exists, ask the user if they would like
+# to overwrite the contents with the new theme or create a new theme directory.
+Theme_Dir=$Grub_Dir/themes/$Theme_Name
+while [[ -d $Theme_Dir ]]; do
+	# echo "Directory $Theme_Dir already exists!"
+	echo "Le répertoire $Theme_Dir existe déja !"
+	# echo -n "Would you like to overwrite it's contents or create a new directory? [(o)verwrite (c)reate] "
+	echo -n "Voulez-vous écraser le contenu de celui-ci ou créer un nouveau répertoire ? [(o)verwrite (c)reate] "
+	read Response
+	case $Response in
+		c|create)
+			# echo -n "Please enter a new name for the theme's directory: "
+			echo -n "Entrez un nouveau nom pour le répertoire du thème :"
+			read Response
+			Theme_Dir=$Grub_Dir/themes/$Response;;
+		o|overwrite)
+			# echo -n "This will delete all files in $Theme_Dir.  Are you sure? [(y)es (n)o] "
+			echo -n "Ceci va supprimer tous les fichiers dans $Theme_Dir. Etes-vous sur ? [(y)es (n)o] "
+			read Response
+			case $Response in
+				y|yes)
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 					rm -r $Theme_Dir;;
 				*)
 					exit 0;;
@@ -163,6 +288,7 @@ while [[ -d $Theme_Dir ]]; do
 done
 mkdir -p $Theme_Dir
 
+<<<<<<< HEAD
 # Copie les fichiers du thème vers le répertoire d'installation du thème.
 for i in $Inst_Dir/*; do
 	cp -r $i $Theme_Dir/$(basename $i)
@@ -189,6 +315,37 @@ elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
 fi
 
 # Changer la résolution de GRUB pour qu'elle s'adapte à ce thème.
+=======
+# Copy the theme's files to the theme's directory.
+for i in $Inst_Dir/*; do
+	cp -r $i $Theme_Dir/$(basename $i)
+done
+
+# Check whether an icons directory exists.  If icons are not included in this theme,
+# check if one exists in ..../themes/icons.  If it exists, ask the user if they would like to use it.
+if [[ ! -d $Theme_Dir/icons && -d $Grub_Dir/themes/icons ]]; then
+	# echo "An icons directory was not included in this theme."
+	echo "Il n'y a pas de répertoire d'icones dans ce thème."
+	# echo "However, one was found in $Grub_Dir/themes/icons containing these files:"
+	echo "Toutefois, on peut en trouver dans  $Grub_Dir/themes/icons qui contient ce type de fichier"
+	echo $(ls $Grub_Dir/themes/icons)
+	# echo -n "Would you like to use these icons? [(y)es (n)o] "
+	echo -n "Voulez-vous utiliser ces icones [(y)es (n)o] "
+	read Response
+	case $Response in
+		y|yes)
+			ln -s $Grub_Dir/themes/icons $Theme_Dir/;;
+		*)
+			# echo "This theme will not show any icons.";;
+			echo "Ce thème n'affiche pas d'icones.";;
+	esac
+elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
+	# echo "Could not find an icons directory.  This theme will not show any icons."
+	echo "Aucun répertoire d'iconnes n'a été trouvé. Ce thème ne peut afficher les icones."
+fi
+
+# Change GRUB's resolution to match that of the theme.
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 if [[ $Theme_Resolution != "any" ]]; then
 	i=$(sed -n 's,^#\?GRUB_GFXMODE=,&,p' $Grub_File)
 	if [[ -z $i ]]; then
@@ -199,10 +356,18 @@ if [[ $Theme_Resolution != "any" ]]; then
 	fi
 fi
 
+<<<<<<< HEAD
 # Demander à l'utilisateur s'il veut appliquer le nouveau thème.
 echo -n "Voulez-vous définir ceci comme votre nouveau thème ? [o)ui (n)on] "
 read Response
 if [[ $Response = oui || $Response = o ]]; then
+=======
+# Ask the user if they would like to set the theme as their new theme.
+# echo -n "Would you like to set this as your new theme? [(y)es (n)o] "
+echo -n "Voulez-vous définir ceci comme votre nouveau thème ? [(y)es (n)o] "
+read Response
+if [[ $Response = yes || $Response = y ]]; then
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 	i=$(sed -n 's,^#\?GRUB_THEME=,&,p' $Grub_File)
 	if [[ -z $i ]]; then
 		echo -e "\nGRUB_THEME=$Theme_Dir/$Theme_Definition_File" >>$Grub_File
@@ -210,6 +375,10 @@ if [[ $Response = oui || $Response = o ]]; then
 		sed "s,^#\?GRUB_THEME=.*,GRUB_THEME=$Theme_Dir/$Theme_Definition_File," <$Grub_File >$Grub_File.~
 		mv $Grub_File.~ $Grub_File
 	fi	
+<<<<<<< HEAD
 	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Génère un nouveau grub.cfg
+=======
+	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Generate new grub.cfg
+>>>>>>> 3d431be309eb4927c4cca11c4b4618d7d27efb89
 fi
 exit 0

BIN
Grub-Theme2/DejaVuSans-20.pf2


+ 68 - 0
Grub-Theme2/GetProfileImage.sh

@@ -0,0 +1,68 @@
+#! /bin/bash
+
+#API Key you get from Steam goes here
+APIKey=""
+
+echo "Copy and paste your Steam username URL identifier"
+echo "Example: Mine is http://steamcommunity.com/id/legendarybibo"
+echo "So I would just copy and paste 'legendarybibo' without the quotes"
+echo ""
+echo "Username:"
+read Username
+echo ""
+
+if [[ -a "$Username?xml=1" ]]; then
+rm -f "$Username?xml=1"
+fi
+
+if [[ -a "SteamUserInfo.xml" ]]; then
+rm -f "SteamUserInfo.xml"
+fi
+
+wget --quiet "http://steamcommunity.com/id/$Username?xml=1"
+
+IDnum=$(grep "steamID64" $Username\?xml\=1 | sed 's/<steamID64>//g' | sed 's/<\/steamID64>//g' | sed 's/   //g')
+
+wget --quiet --output-document SteamUserInfo.xml "http://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/?key=$APIKey&steamids=$IDnum&format=xml"
+
+UserImg=$(grep "<avatar>" SteamUserInfo.xml | sed 's/<avatar>//g' | sed 's/<\/avatar>//g' | sed 's/                    //g')
+UserName=$(grep "<personaname>" SteamUserInfo.xml | sed 's/<personaname>//g' | sed 's/<\/personaname>//g' | sed 's/			//g' | tr [a-z] [A-Z])
+echo "Your display name is $UserName"
+
+wget --quiet --output-document ProfilePic.jpg $UserImg
+
+convert -size 800x85 xc:transparent -colorspace RGB canvas.png && convert -size 560x85 -colorspace RGB xc:transparent -font Helvetica -pointsize 56 -fill "#d2d2d2" -draw "text 1,50 '$UserName'" -trim +repage canvas.png && mv canvas.png UserName.png
+
+Dim=$(file UserName.png | sed 's/UserName.png: PNG image data, //g' | sed 's/,.*//g')
+Width=$(echo $Dim | sed 's/ .*//g')
+Height=$(echo $Dim |sed 's/.*x //g')
+
+echo "Profile name label width: $Width"
+echo "Profile name label height: $Height"
+HalfHeight=$(echo $(printf %.$2f $(echo "$Height/2" | bc)))
+
+echo "+ image {
+		top = 6%-$HalfHeight
+		left = 100%-110-$Width
+		width = $Width
+		height = $Height
+		file = "UserName.png"
+}" >> theme.txt
+
+echo "+ image {
+		top = 6%-20
+		left = 100%-90
+		width = 40
+		height = 40
+		file = "avatarBorder.png"
+}" >> theme.txt
+
+echo "+ image {
+		top = 6%-16
+		left = 100%-86
+		width = 32
+		height = 32
+		file = "ProfilePic.jpg"
+}" >> theme.txt
+
+

BIN
Grub-Theme2/GetProfileImage.sh.x


+ 122 - 0
Grub-Theme2/LICENSE.md

@@ -0,0 +1,122 @@
+The MIT License (MIT)
+
+Copyright (c) 2013 Legendary Bibo
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of
+this software and associated documentation files (the "Software"), to deal in
+the Software without restriction, including without limitation the rights to
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+the Software, and to permit persons to whom the Software is furnished to do so,
+subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+
+***Font License
+Fonts are (c) Bitstream (see below). DejaVu changes are in public domain.
+Glyphs imported from Arev fonts are (c) Tavmjong Bah (see below)
+
+Bitstream Vera Fonts Copyright
+------------------------------
+
+Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is
+a trademark of Bitstream, Inc.
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of the fonts accompanying this license ("Fonts") and associated
+documentation files (the "Font Software"), to reproduce and distribute the
+Font Software, including without limitation the rights to use, copy, merge,
+publish, distribute, and/or sell copies of the Font Software, and to permit
+persons to whom the Font Software is furnished to do so, subject to the
+following conditions:
+
+The above copyright and trademark notices and this permission notice shall
+be included in all copies of one or more of the Font Software typefaces.
+
+The Font Software may be modified, altered, or added to, and in particular
+the designs of glyphs or characters in the Fonts may be modified and
+additional glyphs or characters may be added to the Fonts, only if the fonts
+are renamed to names not containing either the words "Bitstream" or the word
+"Vera".
+
+This License becomes null and void to the extent applicable to Fonts or Font
+Software that has been modified and is distributed under the "Bitstream
+Vera" names.
+
+The Font Software may be sold as part of a larger software package but no
+copy of one or more of the Font Software typefaces may be sold by itself.
+
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,
+TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME
+FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING
+ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
+THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE
+FONT SOFTWARE.
+
+Except as contained in this notice, the names of Gnome, the Gnome
+Foundation, and Bitstream Inc., shall not be used in advertising or
+otherwise to promote the sale, use or other dealings in this Font Software
+without prior written authorization from the Gnome Foundation or Bitstream
+Inc., respectively. For further information, contact: fonts at gnome dot
+org. 
+
+Arev Fonts Copyright
+------------------------------
+
+Copyright (c) 2006 by Tavmjong Bah. All Rights Reserved.
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of the fonts accompanying this license ("Fonts") and
+associated documentation files (the "Font Software"), to reproduce
+and distribute the modifications to the Bitstream Vera Font Software,
+including without limitation the rights to use, copy, merge, publish,
+distribute, and/or sell copies of the Font Software, and to permit
+persons to whom the Font Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright and trademark notices and this permission notice
+shall be included in all copies of one or more of the Font Software
+typefaces.
+
+The Font Software may be modified, altered, or added to, and in
+particular the designs of glyphs or characters in the Fonts may be
+modified and additional glyphs or characters may be added to the
+Fonts, only if the fonts are renamed to names not containing either
+the words "Tavmjong Bah" or the word "Arev".
+
+This License becomes null and void to the extent applicable to Fonts
+or Font Software that has been modified and is distributed under the 
+"Tavmjong Bah Arev" names.
+
+The Font Software may be sold as part of a larger software package but
+no copy of one or more of the Font Software typefaces may be sold by
+itself.
+
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL
+TAVMJONG BAH BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
+DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
+OTHER DEALINGS IN THE FONT SOFTWARE.
+
+Except as contained in this notice, the name of Tavmjong Bah shall not
+be used in advertising or otherwise to promote the sale, use or other
+dealings in this Font Software without prior written authorization
+from Tavmjong Bah. For further information, contact: tavmjong @ free
+. fr.
+
+$Id: LICENSE 2133 2007-11-28 02:46:28Z lechimp $

+ 141 - 0
Grub-Theme2/README.md

@@ -0,0 +1,141 @@
+# Thème Grub
+
+### Anciens Screenshots
+
+![ScreenShot](http://i.imgur.com/yQCOjnR.png)
+
+Pour les premières étapes, nous allons devoir déterminer quelles résolutions sont supportées par grub, vous pouvez les trouver en installant `hwinfo`, et en lançant :
+
+```
+hwinfo --framebuffer
+```
+
+Ou en redémarrant et dans le menu grub, ouvrez la ligne de commande avec 'c', et entrez
+
+```
+vbeinfo
+```
+
+Les sorties peuvent être différentes. Donc, une fois que vous avez trouvé les résolutions prises en charge, notez celle qui correspond à votre résolution la plus élevée (ou peut-être celle en dessous).
+Maintenant, pour l’installer exécutez la commande suivante pour récupérer l'ensemble du dépot git :
+
+Installez d'abord git
+
+```
+sudo apt install git
+
+```
+puis
+
+```
+
+git clone https://git.espritslibres.fr/sloteur/mint
+
+```
+
+Entrez dans le répertoire :
+
+```
+
+cd mint/Grub-Theme
+
+```
+
+
+### Exigences :
+
+Vous aurez besoin d'installer le paquet mscorefonts et le paquet imagemagick. Sur Ubuntu, ou Linux Mint la commande est :
+
+```
+sudo apt install ttf-mscorefonts-installer imagemagick
+
+```
+Pour lancer l'installation :
+
+```
+sudo ./install.sh
+
+```
+
+Il suffit de répondre aux quelques questions qui ont été traduites en français par le sloteur fou...
+
+
+### Problèmes connus :
+Ces options ne sont pas indispensables pour faire fonctionner ce programme. Elles sont juste là à titre d'information :
+Ce sont les notes originales du créateur du projet.
+
+L’image `UserName.png` doit être convertie en RVB dans Gimp après l’installation. L'image que vous devez éditer sera située dans `/boot/grub/themes/SteamBP` dans Ubuntu. D'autres distributions placent ce répertoire ailleurs. J'essaie de comprendre pourquoi ImageMagick le garde en niveaux de gris.
+### FAQ:
+
+1.  **Pourquoi ne faites-vous pas des versions grand écran ? **
+
+   Par expérience, même lorsque grub prend en charge une résolution d’écran large, le thème semble insignifiant. De plus, je m'en tiens aux résolutions standard de l'extension VESA BIOS Extension. Cependant, vous êtes libre d'expérimenter des thèmes indépendants de la résolution.
+
+2.  **Comment puis-je le désactiver ?**
+
+    Ouvrez `/etc/default/grub` en root dans votre éditeur de texte de votre choix et trouvez la ligne «GRUB_THEME=/some/directory », puis commentez-la (mettez un« # »au début de la ligne) ou effacez-le, puis enregistrez-le.
+
+     Ensuite, faites une commande `update-grub en root (probablement Ubuntu uniquement) ou exécutez le script ` mkconfig` de grub en root (présent dans `/grub`,` /boot/grub` ou `/boot/grub2`)
+
+     Vous pouvez aussi lancer
+
+        grub-mkconfig -o /path/to/grub.cfg
+        grub2-mkconfig -o /path/to/grub.cfg
+
+    sur votre distribution en tant que root
+
+3.  **Puis-je ajouter l'icone de ma distribution ?**
+
+    Oui. Je serais ravi de le faire, mais il faudrait que vous sachiez comment nommer l'icône, ce que vous pouvez trouver en ouvrant votre fichier `grub.cfg` et en localisant l'entrée du menu de votre distribution, ' ll y aura une ligne comme '
+
+        menuentry "Gentoo" --class gentoo --class os...
+
+    En gros, j'ai besoin de connaître le nom de la classe de distribution pour savoir comment nommer l'icône.
+
+4.  **Fontionne-t-il avex grub 1 legacy**
+
+    Malheureusement grub 1 ne supporte pas les images
+    
+    
+### Liste à faire du projet original (non traduit) :
+### Steam Big Picture Grub Theme TODO list
+
+- ~~Move Progress bar to above buttons, but centered. Remove border and glow, but give grey background. Gradient on fill as well.~~
+
+- ~~Change title to "Select OS" and center~~
+
+- Make text in list bigger
+
+- ~~Get colors and look more accurate.~~
+
+- Figure out how to get all menu items to be capitalized.
+
+- ~~Add bokeh dots to background~~
+
+#### Une chose encore :
+
+Vous avez peut-être remarqué les fichiers GetProfileImage.sh.x et GetProfileImage.sh. Celui avec l'extension .x est juste le fichier .sh "compilé" avec shc. La seule différence entre ces fichiers est que le fichier .x contient une clé API.
+
+### Screenshots:
+
+**Ancienne version**
+![ScreenShot](http://i.imgur.com/T4pbHXT.png)
+
+**Nouvelles versions**
+
+### 1600x1200  Ancien (Placement statique)
+![ScreenShot](http://i.imgur.com/RbZttjy.png)
+
+### 1600x1200 Nouvelle (Placement relatif)
+![ScreenShot](http://i.imgur.com/USD0JJP.png)
+
+### 1024x768
+![ScreenShot](http://i.imgur.com/bMxCQ4E.png)
+
+### 800x600
+![ScreenShot](http://i.imgur.com/HxX2EsO.png)
+
+### 640x480 - Non recommandé !!
+![ScreenShot](http://i.imgur.com/l5aT9fE.png)
+
+

+ 5 - 0
Grub-Theme2/SteamUserInfo.xml

@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE response>
+<response>
+	<players></players>
+</response>

BIN
Grub-Theme2/UserName.png


+ 104 - 0
Grub-Theme2/ancien/README.md

@@ -0,0 +1,104 @@
+# Steam Big Picture: Grub theme
+
+### Latest Screenshot
+
+![ScreenShot](http://i.imgur.com/yQCOjnR.png)
+
+Okay so for the first steps you're going to want to determine what resolutions grub supports, this can be found by installing/building `hwinfo`, and running
+
+```
+hwinfo --framebuffer
+```
+
+with root, or by rebooting and at the grub menu, open up the command line with 'C', and enter
+
+```
+vbeinfo
+```
+
+The outputs may be different. So after you find out your supported resolutions, download the one that matches your highest supported resolution (or the next one below it). Now to install it, just extract the tar.gz and run the `install.sh` script with root in a terminal. It'll ask you a few questions then install everything in its proper location.
+
+### Requirements:
+
+You'll need to install the mscorefonts package and the imagemagick package. On Ubuntu the command is
+
+```
+sudo apt-get install ttf-mscorefonts-installer imagemagick
+```
+
+### Known Issues:
+
+The `UserName.png` image needs to be converted to RGB in Gimp after installation. The image that you have to edit will be located in `/boot/grub/themes/SteamBP` in Ubuntu. Other distros place this directory somewhere else. I'm trying to figure out why ImageMagick keeps it as Grayscale.
+
+### FAQ:
+
+1.  **Why don't you make widescreen versions?**
+
+    From experience, even when grub supports a widescreen resolution, the theme looks wonky. Also, I stick to the standard VESA BIOS Extension resolutions as a safe bet. However, you're free to experiment with any resolution independent themes.
+
+2.  **How do I disable it?**
+
+    Open up `/etc/default/grub` with root in your text editor of choice and find the line that says `GRUB_THEME=/some/directory`, then comment it out (put a '#' at the beginning of the line) or erase it, then save it. 
+
+    Then either do an `update-grub` with root (it's probably Ubuntu only), or run grub's `mkconfig` script with root (found in either `/grub`, `/boot/grub`, or `/boot/grub2`)
+
+    You can also run 
+
+        grub-mkconfig -o /path/to/grub.cfg
+        grub2-mkconfig -o /path/to/grub.cfg
+
+    on your distro with root
+
+3.  **Can you add X distro icon?**
+
+    Yes. I'd be glad to, but one thing I'd need from you is to know what to name the icon, which you can find out by opening up your `grub.cfg` file and locating your distro's menu entry, so you'll have a line like
+
+        menuentry "Gentoo" --class gentoo --class os...
+
+    Basically I need to know the distro class name to know what to name the icon.
+
+4.  **Does it work with Grub 1/Legacy**
+
+    Sadly, no. Grub 1 only has support for background images.
+
+### Steam Big Picture Grub Theme TODO list
+
+- ~~Move Progress bar to above buttons, but centered. Remove border and glow, but give grey background. Gradient on fill as well.~~
+
+- ~~Change title to "Select OS" and center~~
+
+- Make text in list bigger
+
+- ~~Get colors and look more accurate.~~
+
+- Figure out how to get all menu items to be capitalized.
+
+- ~~Add bokeh dots to background~~
+
+#### One more thing
+
+You might noticed the GetProfileImage.sh.x and GetProfileImage.sh. The one with the .x extension is just the .sh file "compiled" with shc. The only thing different from them is that the .x file has an API key written into it.
+
+### Screenshots:
+
+**Old Version**
+![ScreenShot](http://i.imgur.com/T4pbHXT.png)
+
+**New Version**
+
+### 1600x1200  OLD (Static Placement Version)
+![ScreenShot](http://i.imgur.com/RbZttjy.png)
+
+### 1600x1200 NEW (Relative Placement Version)
+![ScreenShot](http://i.imgur.com/USD0JJP.png)
+
+### 1024x768
+![ScreenShot](http://i.imgur.com/bMxCQ4E.png)
+
+### 800x600
+![ScreenShot](http://i.imgur.com/HxX2EsO.png)
+
+### 640x480 - NOT RECOMMENDED!!
+![ScreenShot](http://i.imgur.com/l5aT9fE.png)
+
+

+ 182 - 0
Grub-Theme2/ancien/install_old

@@ -0,0 +1,182 @@
+#! /bin/bash
+set -e
+
+# This script installs the GRUB2 theme in /boot/grub/themes/, /boot/grub2/themes/ or /grub/themes/
+# depending on the distribution.
+#
+# Copyright (C) 2011 Towheed Mohammed
+# who just started learning bash scripting, sed and regex's.
+#
+# This is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details at <http://www.gnu.org/licenses/>.
+
+# Set variables
+Theme_Name="SteamBP"			# The theme will be installed in a dir with this name. Avoid spaces.
+Theme_Definition_File="theme.txt"	# Filename of theme definition file.
+Theme_Resolution="any"			# The resolution the theme was designed to show best at, 640x480, 1024x768 etc,
+					# or "any" for any resolution (resolution independent).
+
+Inst_Dir=$(dirname $0)
+Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"	# Directories must be in this order.
+let Grub_Min_Version=198	# Do not change this.
+Grub_File="/etc/default/grub"
+Grub_Dir=
+mkConfig_File=
+
+# Check that the script is being run as root.
+if [[ $(id -u) != 0 ]]; then
+	echo "Please run this script with root privileges."
+	exit 0
+fi
+
+# Get GRUB's installation directory.
+for i in $Grub_Dist_Dirs; do
+	if [[ -d $i ]]; then
+		Grub_Dir=$i
+	fi
+done
+
+# Exit this script if we could not locate GRUB's installation directory.
+if [[ -z $Grub_Dir ]]; then
+	echo "Could not locate GRUB's installation directory."
+	exit 0
+fi
+
+# Exit the script if GRUB's version is < 1.98
+if [[ -f $(which grub2-install) ]]; then
+	Grub_Version_Long=$(grub2-install --version)
+elif [[ -f $(which grub-install) ]]; then
+	Grub_Version_Long=$(grub-install --version)
+else
+	echo 'Could not locate grub-install or grub2-install in your path.'
+	exit 0
+fi
+Grub_Version=$(echo $Grub_Version_Long | sed 's,[[:alpha:][:punct:][:blank:]],,g')
+if (( ${Grub_Version:0:3} < Grub_Min_Version )); then
+	echo "GRUB must be at least version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	echo "The installed version is ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	exit 0
+fi
+
+# Check that /etc/default/grub exists.
+if [[ ! -f $Grub_File ]]; then
+	echo "Could not find $Grub_File"
+	exit 0
+fi
+
+# Check that GRUB's mkconfig script file exists.
+mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
+(echo "GRUB's mkconfig script file was not found in your path." && exit 0)
+
+# Ask for desired resolution if set to "any"
+if [[ $Theme_Resolution = "any" ]]; then
+	echo ""
+	echo "Enter desired resolution in the form of 1024x768, 800x600, 1600x1200, etc."
+	echo "Also, only choose a resolution that is supported by your VESA BIOS Extensions"
+	echo "which can be found by installing the hwinfo package, and running hwinfo --framebuffer,"
+	echo "or by running vbeinfo at grub's command line. The outputs may vary. You may try a"
+	echo "custom resolution such as 1920x1080, but there's no guarantee it will work."
+	echo ""
+	echo -n "Enter desired resolution: "
+	read Theme_Resolution
+fi
+
+#Ask user if they want to display their Steam username and profile image
+if [[ -a "GetProfileImage.sh.x" ]]; then
+	echo ""
+	echo "Would you like to display your Steam profile picture and"
+	echo "username on grub?"
+	read Response
+	
+	if [[ $Response = yes || $Response = y ]]; then
+		cat themetemplate.txt > theme.txt
+		chmod +x GetProfileImage.sh.x		
+		./GetProfileImage.sh.x
+	else
+		cat themetemplate.txt > theme.txt
+	fi
+fi
+
+
+# Create theme directory.  If directory already exists, ask the user if they would like
+# to overwrite the contents with the new theme or create a new theme directory.
+Theme_Dir=$Grub_Dir/themes/$Theme_Name
+while [[ -d $Theme_Dir ]]; do
+	echo "Directory $Theme_Dir already exists!"
+	echo -n "Would you like to overwrite it's contents or create a new directory? [(o)verwrite (c)reate] "
+	read Response
+	case $Response in
+		c|create)
+			echo -n "Please enter a new name for the theme's directory: "
+			read Response
+			Theme_Dir=$Grub_Dir/themes/$Response;;
+		o|overwrite)
+			echo -n "This will delete all files in $Theme_Dir.  Are you sure? [(y)es (n)o] "
+			read Response
+			case $Response in
+				y|yes)
+					rm -r $Theme_Dir;;
+				*)
+					exit 0;;
+			esac;;
+		*)
+			exit 0;;	
+	esac
+done
+mkdir -p $Theme_Dir
+
+# Copy the theme's files to the theme's directory.
+for i in $Inst_Dir/*; do
+	cp -r $i $Theme_Dir/$(basename $i)
+done
+
+# Check whether an icons directory exists.  If icons are not included in this theme,
+# check if one exists in ..../themes/icons.  If it exists, ask the user if they would like to use it.
+if [[ ! -d $Theme_Dir/icons && -d $Grub_Dir/themes/icons ]]; then
+	echo "An icons directory was not included in this theme."
+	echo "However, one was found in $Grub_Dir/themes/icons containing these files:"
+	echo $(ls $Grub_Dir/themes/icons)
+	echo -n "Would you like to use these icons? [(y)es (n)o] "
+	read Response
+	case $Response in
+		y|yes)
+			ln -s $Grub_Dir/themes/icons $Theme_Dir/;;
+		*)
+			echo "This theme will not show any icons.";;
+	esac
+elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
+	echo "Could not find an icons directory.  This theme will not show any icons."
+fi
+
+# Change GRUB's resolution to match that of the theme.
+if [[ $Theme_Resolution != "any" ]]; then
+	i=$(sed -n 's,^#\?GRUB_GFXMODE=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_GFXMODE=$Theme_Resolution" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_GFXMODE=.*,GRUB_GFXMODE=$Theme_Resolution," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi
+fi
+
+# Ask the user if they would like to set the theme as their new theme.
+echo -n "Would you like to set this as your new theme? [(y)es (n)o] "
+read Response
+if [[ $Response = yes || $Response = y ]]; then
+	i=$(sed -n 's,^#\?GRUB_THEME=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_THEME=$Theme_Dir/$Theme_Definition_File" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_THEME=.*,GRUB_THEME=$Theme_Dir/$Theme_Definition_File," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi	
+	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Generate new grub.cfg
+fi
+exit 0

BIN
Grub-Theme2/avatarBorder.png


BIN
Grub-Theme2/background.png


BIN
Grub-Theme2/btnEnter.png


BIN
Grub-Theme2/btnNav.png


BIN
Grub-Theme2/icons/Arch.png


BIN
Grub-Theme2/icons/Fedora.png


BIN
Grub-Theme2/icons/arch.png


BIN
Grub-Theme2/icons/debian.png


BIN
Grub-Theme2/icons/fedora.png


BIN
Grub-Theme2/icons/fuduntu.png


BIN
Grub-Theme2/icons/gentoo.png


BIN
Grub-Theme2/icons/kubuntu.png


BIN
Grub-Theme2/icons/linuxmint.png


BIN
Grub-Theme2/icons/opensuse.png


BIN
Grub-Theme2/icons/sabayon.png


BIN
Grub-Theme2/icons/steamos.png


BIN
Grub-Theme2/icons/submenu.png


BIN
Grub-Theme2/icons/ubuntu.png


BIN
Grub-Theme2/icons/windows.png


+ 215 - 0
Grub-Theme2/install.sh

@@ -0,0 +1,215 @@
+#! /bin/bash
+set -e
+
+# This is original part
+# Source code is here : 
+# https://github.com/LegendaryBibo/Steam-Big-Picture-Grub-Theme
+# ======================
+#
+# This script installs the GRUB2 theme in /boot/grub/themes/, /boot/grub2/themes/ or /grub/themes/
+# depending on the distribution.
+#
+# Copyright (C) 2011 Towheed Mohammed
+# who just started learning bash scripting, sed and regex's.
+#
+# This is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details at <http://www.gnu.org/licenses/>.
+# ======================
+
+
+# Traduction et adaptation Copyright (C) 2019 Jean-Pierre Antinoux
+# ----------------------------------------------------------------
+#
+# Cette partie est l'adaptation de la source ci-dessus
+# Le code source modifié est ici : 
+# https://git.espritslibres.fr/sloteur/mint/src/master/Grub-Theme
+# ======================
+# Ce script installe un thème GRUB2 dans /boot/grub/themes/, /boot/grub2/themes/ ou /grub/themes
+# en fonction des distributions.
+# Copyright (C) 2011 Towheed Mohammed
+# qui vient de commencer à apprendre les scripts bash, sed et regex's.
+#
+# Ceci un logiciel libre: vous pouvez le redistribuer et / ou modifier
+# sous les termes de la licence publique générale GNU telle que publiée par
+# la Free Software Foundation, soit la version 3 de la licence, soit
+# (à votre choix) toute version ultérieure.
+
+# Ce logiciel est distribué dans l’espoir qu’il vous sera utile,
+# mais SANS AUCUNE GARANTIE; sans même la garantie implicite de
+# QUALITÉ MARCHANDE ou ADAPTATION À UN USAGE PARTICULIER. Voir la
+# Licence publique générale GNU pour plus de détails à <http://www.gnu.org/licenses/>.
+# ======================
+
+# Définition des variables
+# Le thème sera installé dans un répertoire courant portant ce nom. Évitez les espaces.
+Theme_Name="SteamBP"
+
+# Fichier de définition du thème
+Theme_Definition_File="theme.txt"
+
+# Le thème a été conçu pour s'afficher au mieux avec 800x600,1024x768, etc,
+# ou "any". pour n'importe quelle résolution (résolution indépendante)
+Theme_Resolution="any"
+
+Inst_Dir=$(dirname $0)
+
+# Les répertoires doivent être dans cet ordre.
+Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"
+
+# Ne pas changer cette ligne
+let Grub_Min_Version=198
+
+Grub_File="/etc/default/grub"
+Grub_Dir=
+mkConfig_File=
+
+#------------------------
+
+# Vérifier que le script est bien lancé en root.
+if [[ $(id -u) != 0 ]]; then
+	echo "S'il vous plait, lancez ce script avec des privilèges root."
+	exit 0
+fi
+
+# Récupérer le répertoire d'installation de GRUB
+for i in $Grub_Dist_Dirs; do
+	if [[ -d $i ]]; then
+		Grub_Dir=$i
+	fi
+done
+
+# Quitte le script si le répertoire de GRUB n'est pas trouvé.
+if [[ -z $Grub_Dir ]]; then
+	echo "Le répertoire d'installation de GRUB n'est pas présent."
+	exit 0
+fi
+
+# Quitte le script si la version de GRUB < 1.98
+if [[ -f $(which grub2-install) ]]; then
+	Grub_Version_Long=$(grub2-install --version)
+elif [[ -f $(which grub-install) ]]; then
+	Grub_Version_Long=$(grub-install --version)
+else
+	echo "grub-install ou grub2 install ne sont pas présents dans votre path."
+	echo "Le path est le chemin d'accès d'un fichier"
+	exit 0
+fi
+Grub_Version=$(echo $Grub_Version_Long | sed 's,[[:alpha:][:punct:][:blank:]],,g')
+if (( ${Grub_Version:0:3} < Grub_Min_Version )); then
+	echo "GRUB doit être dans sa dernière version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	echo "La version installée est ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	echo "Mettez Grub à jour et relancez le script" 
+	exit 0
+fi
+
+# Vérifie si /etc/default/grub exists.
+if [[ ! -f $Grub_File ]]; then
+	echo "$Grub_File n'est pas présent."
+	exit 0
+fi
+
+# Vérifie si le programme mkconfig existe.
+mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
+(echo "La commande mkconfig de configation de Grub n'est pas présent dans vote path." && exit 0)
+
+# Demande quelle résolution est désirée ou "any"
+if [[ $Theme_Resolution = "any" ]]; then
+	echo "============================================================================================"
+	echo "Entrez la résolution désirée sous la forme : 1024x768, 800x600, 1600x1200, etc."
+	echo "qui peut être trouvé en installant le paquet hwinfo et en exécutant hwinfo --framebuffer"
+	echo ""
+	echo "Les sorties sont variables. Vous pouvez essayer une résolution personnalisé comme 1920x1080,"
+	echo "mais il n'y a pas de garantie que celle-ci fonctionne."
+	echo ""
+	echo "La résolution 1680x1050 fonctionne bien sur un écran de même taille."
+	echo ""
+	echo "Si vous voulez arrêter le script : tapez Ctrl + c"
+	echo "============================================================================================"
+	echo -n "Entrez la résolution que vous désirée [AAAAxBBBB : "
+	read Theme_Resolution
+fi
+
+# Crée le répertoire du thème. Si le répertoire existe, demande ce qu'il faut faire,
+# soit créer un nouveau répertoire soit écraser le contenu.
+Theme_Dir=$Grub_Dir/themes/$Theme_Name
+while [[ -d $Theme_Dir ]]; do
+	echo "Le répertoire $Theme_Dir existe déja !"
+	echo -n "Voulez-vous remplacer le contenu de celui-ci ou créer un nouveau répertoire ? [(r)emplacer (c)réer] "
+	read Response
+	case $Response in
+		c|créer)
+			echo -n "Entrez un nouveau nom pour le répertoire du thème :"
+			read Response
+			Theme_Dir=$Grub_Dir/themes/$Response;;
+		r|emplacer)
+			echo -n "Ceci va supprimer tous les fichiers dans $Theme_Dir. Etes-vous sûr ? [(o)ui (n)on] "
+			read Response
+			case $Response in
+				o|oui)
+					rm -r $Theme_Dir;;
+				*)
+					exit 0;;
+			esac;;
+		*)
+			exit 0;;	
+	esac
+done
+mkdir -p $Theme_Dir
+
+# Copie les fichiers du thème vers le répertoire d'installation du thème.
+for i in $Inst_Dir/*; do
+	cp -r $i $Theme_Dir/$(basename $i)
+done
+echo "Les fichiers ont été copiés dans le dossier $Theme_Dir"
+
+# Vérifier si un répertoire d'icônes existe. Si des icônes ne sont pas incluses dans ce thème
+# vérifier s'il en existe dans ..../themes/icons.
+# S'il y en a, demander à l'utilisateur s'il veut les utiliser.
+if [[ ! -d $Theme_Dir/icons && -d $Grub_Dir/themes/icons ]]; then
+	echo "Il n'y a pas de répertoire d'icônes dans ce thème."
+	echo "Toutefois, on peut en trouver dans  $Grub_Dir/themes/icons qui contient ce type de fichier"
+	echo $(ls $Grub_Dir/themes/icons)
+	echo -n "Voulez-vous utiliser ces icônes [(o)ui (n)on] "
+	read Response
+	case $Response in
+		o|oui)
+			ln -s $Grub_Dir/themes/icons $Theme_Dir/;;
+		*)
+			echo "Ce thème n'affiche pas d'icônes.";;
+	esac
+elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
+	echo "Aucun répertoire d'icônes n'a été trouvé. Ce thème ne peut afficher les icônes."
+fi
+
+# Changer la résolution de GRUB pour qu'elle s'adapte à ce thème.
+if [[ $Theme_Resolution != "any" ]]; then
+	i=$(sed -n 's,^#\?GRUB_GFXMODE=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_GFXMODE=$Theme_Resolution" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_GFXMODE=.*,GRUB_GFXMODE=$Theme_Resolution," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi
+fi
+
+# Demander à l'utilisateur s'il veut appliquer le nouveau thème.
+echo -n "Voulez-vous définir ceci comme votre nouveau thème ? [o)ui (n)on] "
+read Response
+if [[ $Response = oui || $Response = o ]]; then
+	i=$(sed -n 's,^#\?GRUB_THEME=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_THEME=$Theme_Dir/$Theme_Definition_File" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_THEME=.*,GRUB_THEME=$Theme_Dir/$Theme_Definition_File," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi	
+	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Génère un nouveau grub.cfg
+fi
+exit 0

BIN
Grub-Theme2/menu_bkg_c.png


BIN
Grub-Theme2/menu_bkg_e.png


BIN
Grub-Theme2/menu_bkg_n.png


BIN
Grub-Theme2/menu_bkg_ne.png


BIN
Grub-Theme2/menu_bkg_nw.png


BIN
Grub-Theme2/menu_bkg_s.png


BIN
Grub-Theme2/menu_bkg_se.png


BIN
Grub-Theme2/menu_bkg_sw.png


BIN
Grub-Theme2/menu_bkg_w.png


BIN
Grub-Theme2/progress_bar_c.png


BIN
Grub-Theme2/progress_bar_e.png


BIN
Grub-Theme2/progress_bar_w.png


BIN
Grub-Theme2/progress_highlight_c.png


BIN
Grub-Theme2/select_bkg_c.png


BIN
Grub-Theme2/select_bkg_e.png


BIN
Grub-Theme2/select_bkg_w.png


BIN
Grub-Theme2/term_bkg_c.png


BIN
Grub-Theme2/term_bkg_e.png


BIN
Grub-Theme2/term_bkg_n.png


BIN
Grub-Theme2/term_bkg_ne.png


BIN
Grub-Theme2/term_bkg_nw.png


BIN
Grub-Theme2/term_bkg_s.png


BIN
Grub-Theme2/term_bkg_se.png


BIN
Grub-Theme2/term_bkg_sw.png


BIN
Grub-Theme2/term_bkg_w.png


+ 80 - 0
Grub-Theme2/theme.txt

@@ -0,0 +1,80 @@
+# GRUB2 gfxmenu Steam Big Picture theme.
+# Designed for 1600x1200 (so you can stretch it to 1920x1200 just fine). Might work for 1920x1080. Works for 800x600 and 1024x768 as well, but things get squeezed.
+# Created by Legendary Bibo
+
+# Global Property
+title-text: ""
+title-font: "DejaVuSans 20"
+title-color: "#333333"
+message-font: "Fixed Regular 13"
+message-color: "#333333"
+message-bg-color: "#f2f2f2"
+desktop-image: "background.png"
+desktop-color: "#000000"
+terminal-box: "term_bkg_*.png"
+terminal-font: "Fixed Regular 13"
+
+
+
+# Show the boot menu
++ boot_menu {
+		left = 50%-417
+		width = 834
+		top = 30%
+		height = 50%+34
+		item_font = "DejaVuSans 20"
+		selected_item_font = "DejaVuSans 20"
+		item_color = "#6d7a82"
+		selected_item_color = "#2e373e"
+		item_height = 60
+		item_padding = 25
+		item_spacing = 10
+		icon_width = 48
+		icon_height = 48
+		item_icon_space = 20
+		selected_item_pixmap_style= "select_bkg_*.png"
+		menu_pixmap_style = "menu_bkg_*.png"
+		scrollbar = false
+		scrollbar_width = 17
+		scrollbar_thumb = "sb_thumb_*.png"
+		scrollbar_frame = "sb_frame_*.png"
+}
+
++ image {
+		top = 24%
+		left = 5%+10
+		width = 254
+		height = 43
+		file = "title.png"
+}
+
++ image {
+		top = 90%
+		left = 50%-132
+		width = 264
+		height = 69
+		file = "btnEnter.png"
+}
+
++ image {
+		top = 90%
+		left = 100%-248
+		width = 188
+		height = 69
+		file = "btnNav.png"
+}
+
+# Show a styled horizontal progress bar
++ progress_bar {
+		id = "__timeout__"
+		left = 50%-389
+		width = 778
+		top = 84%+7
+		height = 31
+		show_text = false
+		font = "DejaVuSans 20"
+		text_color = "255, 255, 255"
+		text = ""
+		bar_style = "progress_bar_*.png"
+		highlight_style = "progress_highlight_*.png"
+}

+ 80 - 0
Grub-Theme2/themetemplate.txt

@@ -0,0 +1,80 @@
+# GRUB2 gfxmenu Steam Big Picture theme.
+# Designed for 1600x1200 (so you can stretch it to 1920x1200 just fine). Might work for 1920x1080. Works for 800x600 and 1024x768 as well, but things get squeezed.
+# Created by Legendary Bibo
+
+# Global Property
+title-text: ""
+title-font: "DejaVuSans 20"
+title-color: "#333333"
+message-font: "Fixed Regular 13"
+message-color: "#333333"
+message-bg-color: "#f2f2f2"
+desktop-image: "background.png"
+desktop-color: "#000000"
+terminal-box: "term_bkg_*.png"
+terminal-font: "Fixed Regular 13"
+
+
+
+# Show the boot menu
++ boot_menu {
+		left = 50%-417
+		width = 834
+		top = 30%
+		height = 50%+34
+		item_font = "DejaVuSans 20"
+		selected_item_font = "DejaVuSans 20"
+		item_color = "#6d7a82"
+		selected_item_color = "#2e373e"
+		item_height = 60
+		item_padding = 25
+		item_spacing = 10
+		icon_width = 48
+		icon_height = 48
+		item_icon_space = 20
+		selected_item_pixmap_style= "select_bkg_*.png"
+		menu_pixmap_style = "menu_bkg_*.png"
+		scrollbar = false
+		scrollbar_width = 17
+		scrollbar_thumb = "sb_thumb_*.png"
+		scrollbar_frame = "sb_frame_*.png"
+}
+
++ image {
+		top = 24%
+		left = 5%+10
+		width = 254
+		height = 43
+		file = "title.png"
+}
+
++ image {
+		top = 90%
+		left = 50%-132
+		width = 264
+		height = 69
+		file = "btnEnter.png"
+}
+
++ image {
+		top = 90%
+		left = 100%-248
+		width = 188
+		height = 69
+		file = "btnNav.png"
+}
+
+# Show a styled horizontal progress bar
++ progress_bar {
+		id = "__timeout__"
+		left = 50%-389
+		width = 778
+		top = 84%+7
+		height = 31
+		show_text = false
+		font = "DejaVuSans 20"
+		text_color = "255, 255, 255"
+		text = ""
+		bar_style = "progress_bar_*.png"
+		highlight_style = "progress_highlight_*.png"
+}

BIN
Grub-Theme2/title.png


+ 8 - 0
README.txt

@@ -0,0 +1,8 @@
+Ce dépôt contient les informations relatives aux distributions Linux Mint.
+Les versions traité sont principalement les versions LTS
+La maintenance de ce dépôt est assurée pour la version 18.
+
+Ces scripts fonctionnent aussi mais sans garanti pour la version 17.
+Le bureau utilisé est le bureau Mate. Février 2018
+
+Dépôt créé le 26 mars 2014 par jpantinoux